<?php

namespace App\Http\Controllers\Error\AuthController;

use App\Http\Controllers\Error\ErrorInterface;
use Illuminate\Http\Response;

class MissingBearerTokenError implements ErrorInterface
{
    public function getStatusCode(): int
    {
        return Response::HTTP_BAD_REQUEST;
    }

    public function getErrorCode(): string
    {
        return 'missing.bearer_token';
    }

    public function getErrorMessage(): string
    {
        return 'Missing bearer token';
    }
}
